[openwrt/openwrt] base-files: clean up ubinized sysupgrade code

LEDE Commits lede-commits at lists.infradead.org
Tue Apr 19 09:08:26 PDT 2022


dangole pushed a commit to openwrt/openwrt.git, branch master:
https://git.openwrt.org/de4b65a793f8b7222d19f7507e7d3d93a0677597

commit de4b65a793f8b7222d19f7507e7d3d93a0677597
Author: Rodrigo Balerdi <lanchon at gmail.com>
AuthorDate: Fri Apr 15 06:42:51 2022 -0300

    base-files: clean up ubinized sysupgrade code
    
    Remove redundant check from nand ubinized sysupgrade code. This check
    has already been done in the only caller of the affected function:
    nand_do_upgrade.
    
    Signed-off-by: Rodrigo Balerdi <lanchon at gmail.com>
---
 package/base-files/files/lib/upgrade/nand.sh | 10 +++-------
 1 file changed, 3 insertions(+), 7 deletions(-)

diff --git a/package/base-files/files/lib/upgrade/nand.sh b/package/base-files/files/lib/upgrade/nand.sh
index 67c6a620b1..c7ec59cb22 100644
--- a/package/base-files/files/lib/upgrade/nand.sh
+++ b/package/base-files/files/lib/upgrade/nand.sh
@@ -236,11 +236,6 @@ nand_upgrade_ubinized() {
 	local ubi_file="$1"
 	local mtdnum="$(find_mtd_index "$CI_UBIPART")"
 
-	[ ! "$mtdnum" ] && {
-		CI_UBIPART="rootfs"
-		mtdnum="$(find_mtd_index "$CI_UBIPART")"
-	}
-
 	if [ ! "$mtdnum" ]; then
 		echo "cannot find mtd device $CI_UBIPART"
 		umount -a
@@ -248,10 +243,11 @@ nand_upgrade_ubinized() {
 	fi
 
 	local mtddev="/dev/mtd${mtdnum}"
-	ubidetach -p "${mtddev}" || true
+	ubidetach -p "${mtddev}" || :
 	sync
 	ubiformat "${mtddev}" -y -f "${ubi_file}"
 	ubiattach -p "${mtddev}"
+
 	nand_do_upgrade_success
 }
 
@@ -333,7 +329,7 @@ nand_upgrade_tar() {
 nand_do_upgrade() {
 	local file_type=$(identify $1)
 
-	[ ! "$(find_mtd_index "$CI_UBIPART")" ] && CI_UBIPART="rootfs"
+	[ ! "$(find_mtd_index "$CI_UBIPART")" ] && CI_UBIPART=rootfs
 
 	case "$file_type" in
 		"fit")		nand_upgrade_fit $1;;




More information about the lede-commits mailing list